org.apache.solr.client.solrj.impl

## Class CloudSolrServer

- java.lang.Object
- - org.apache.solr.client.solrj.SolrClient
  - - org.apache.solr.client.solrj.impl.CloudSolrClient
    - - org.apache.solr.client.solrj.impl.CloudSolrServer

All Implemented Interfaces:
  Closeable, Serializable, AutoCloseable

Deprecated.
Use `CloudSolrClient`

    @Deprecated
    public class CloudSolrServer
    extends CloudSolrClient

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.impl.CloudSolrClient

`CloudSolrClient.RouteException, CloudSolrClient.RouteResponse`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.impl.CloudSolrClient

`collectionStateCache, STATE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`CloudSolrServer(Collection<String> zkHosts, String chroot)` Deprecated.
`CloudSolrServer(Collection<String> zkHosts, String chroot, org.apache.http.client.HttpClient httpClient)` Deprecated.
`CloudSolrServer(String zkHost)` Deprecated.
`CloudSolrServer(String zkHost, boolean updatesToLeaders)` Deprecated.
`CloudSolrServer(String zkHost, boolean updatesToLeaders, org.apache.http.client.HttpClient httpClient)` Deprecated.
`CloudSolrServer(String zkHost, org.apache.http.client.HttpClient httpClient)` Deprecated.
`CloudSolrServer(String zkHost, LBHttpSolrClient lbClient)` Deprecated.
`CloudSolrServer(String zkHost, LBHttpSolrClient lbClient, boolean updatesToLeaders)` Deprecated.

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.impl.CloudSolrClient

`close, condenseResponse, connect, connect, downloadConfig, getDefaultCollection, getDocCollection, getIdField, getLbClient, getMinAchievedReplicationFactor, getParser, getRequestWriter, getShardReplicationFactor, getZkHost, getZkStateReader, isUpdatesToLeaders, request, requestWithRetryOnStaleState, sendRequest, setCollectionCacheTTl, setDefaultCollection, setIdField, setParallelCacheRefreshes, setParallelUpdates, setParser, setRequestWriter, setZkClientTimeout, setZkConnectTimeout, shutdown, uploadConfig`

### Methods inherited from class org.apache.solr.client.solrj.SolrClient

`add, add, add, add, add, add, add, add, add, add, addBean, addBean, addBean, addBean, addBeans, addBeans, addBeans, addBeans, addBeans, addBeans, commit, commit, commit, commit, commit, commit, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteByQuery, deleteByQuery, deleteByQuery, deleteByQuery, getBinder, getById, getById, getById, getById, getById, getById, getById, getById, optimize, optimize, optimize, optimize, optimize, optimize, ping, query, query, query, query, queryAndStreamResponse, queryAndStreamResponse, request, rollback, rollback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CloudSolrServer

    public CloudSolrServer(String zkHost)

Deprecated.

#### CloudSolrServer

    public CloudSolrServer(String zkHost,
                   org.apache.http.client.HttpClient httpClient)

Deprecated.

#### CloudSolrServer

    public CloudSolrServer(Collection<String> zkHosts,
                   String chroot)

Deprecated.

#### CloudSolrServer

    public CloudSolrServer(Collection<String> zkHosts,
                   String chroot,
                   org.apache.http.client.HttpClient httpClient)

Deprecated.

#### CloudSolrServer

    public CloudSolrServer(String zkHost,
                   boolean updatesToLeaders)

Deprecated.

#### CloudSolrServer

    public CloudSolrServer(String zkHost,
                   boolean updatesToLeaders,
                   org.apache.http.client.HttpClient httpClient)

Deprecated.

#### CloudSolrServer

    public CloudSolrServer(String zkHost,
                   LBHttpSolrClient lbClient)

Deprecated.

#### CloudSolrServer

    public CloudSolrServer(String zkHost,
                   LBHttpSolrClient lbClient,
                   boolean updatesToLeaders)

Deprecated.